gnutls_x509_crt_get_dn2(3)

NAME
gnutls_x509_crt_get_dn2 - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_get_dn2(gnutls_x509_crt_t cert, gnutls_datum_t * dn);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain a gnutls_x509_crt_t type

gnutls_datum_t * dn
    a pointer to a structure to hold the name; must be freed using gnutls_free()

DESCRIPTION
This function will allocate buffer and copy the name of the Certificate. The name will be in the form "C=xxxx,O=yyyy,CN=zzzz" as described in RFC4514. The output string will be ASCII or UTF-8 encoded, depending on the certificate data. This function does not output a fully RFC4514 compliant string, if that is required see gnutls_x509_crt_get_dn3().

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.1.10

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/